CREATE TABLE hra_section_defns_b (
    SECTION_DEF_ID                  NUMBER(18, 0) ,
    ENABLE_MGR_REASON_FLAG          VARCHAR2(120) ,
    REFERENCE_SECTION_ID            NUMBER        ,
    BUSINESS_GROUP_ID               NUMBER(18, 0) ,
    DATE_FROM                       DATE              NOT NULL,
    DATE_TO                         DATE          ,
    STATUS_CODE                     VARCHAR2(120) ,
    SECTION_TYPE_CODE               VARCHAR2(120) ,
    RATE_SECTION_FLAG               VARCHAR2(120) ,
    CALCULATION_RULE_CODE           VARCHAR2(120) ,
    FAST_FORMULA_ID                 NUMBER(18, 0) ,
    SECTION_RATING_MODEL_ID         NUMBER(18, 0) ,
    WEIGHT_SECTION_FLAG             VARCHAR2(120) ,
    SECTION_WEIGHT                  NUMBER(20, 2) ,
    SECTION_MIN_WEIGHT              NUMBER(20, 2) ,
    ENABLE_ITEMS_FLAG               VARCHAR2(120) ,
    CONTENT_PROFILE_FLAG            VARCHAR2(120) ,
    CONTENT_TYPE_ID                 NUMBER(18, 0) ,
    FREE_FORM_ALLOWED_FLAG          VARCHAR2(120) ,
    ADD_ITEMS_CONFIRM_CRIT_FLAG     VARCHAR2(120) ,
    RATE_ITEM_FLAG                  VARCHAR2(120) ,
    RATING_TYPE_CODE                VARCHAR2(120) ,
    USE_SECRTG_FOR_PERFRTG_FLAG     VARCHAR2(120) ,
    PERF_RATING_MODEL_ID            NUMBER(18, 0) ,
    ITEM_CALCULATION_CODE           VARCHAR2(120) ,
    SHOW_TARGET_PERF_RTG            VARCHAR2(120) ,
    SHOW_TARGET_PROF_LEVEL          VARCHAR2(120) ,
    SHOW_SECTION_WEIGHT             VARCHAR2(120) ,
    SHOW_SECTION_MIN_WEIGHT         VARCHAR2(120) ,
    SHOW_MANDATORY                  VARCHAR2(120) ,
    SHOW_CRITICAL                   VARCHAR2(120) ,
    SHOW_DESCRIPTION                VARCHAR2(120) ,
    SHOW_MEASUREMENT                VARCHAR2(120) ,
    SHOW_DUE_DATE                   VARCHAR2(120) ,
    SHOW_REMINDER_DATE              VARCHAR2(120) ,
    SHOW_OWNED_BY                   VARCHAR2(120) ,
    SHOW_STATUS                     VARCHAR2(120) ,
    SHOW_PERCENT_COMPLETE           VARCHAR2(120) ,
    USE_PROFILE_FLAG                VARCHAR2(120) ,
    PROFILE_TYPE_ID                 NUMBER(18, 0) ,
    USE_SPEC_PROFILE_FLAG           VARCHAR2(80)  ,
    PROFILE_ID                      NUMBER(18, 0) ,
    USE_WORKER_GOALS_FLAG           VARCHAR2(120) ,
    UPDATE_GOAL_WEIGHTS_FLAG        VARCHAR2(120) ,
    USE_SPEC_CONTENT_ITEM_FLAG      VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE16                     VARCHAR2(600) ,
    ATTRIBUTE17                     VARCHAR2(600) ,
    ATTRIBUTE18                     VARCHAR2(600) ,
    ATTRIBUTE19                     VARCHAR2(600) ,
    ATTRIBUTE20                     VARCHAR2(600) ,
    ATTRIBUTE21                     VARCHAR2(600) ,
    ATTRIBUTE22                     VARCHAR2(600) ,
    ATTRIBUTE23                     VARCHAR2(600) ,
    ATTRIBUTE24                     VARCHAR2(600) ,
    ATTRIBUTE25                     VARCHAR2(600) ,
    ATTRIBUTE26                     VARCHAR2(600) ,
    ATTRIBUTE27                     VARCHAR2(600) ,
    ATTRIBUTE28                     VARCHAR2(600) ,
    ATTRIBUTE29                     VARCHAR2(600) ,
    ATTRIBUTE30                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_NUMBER11              NUMBER        ,
    ATTRIBUTE_NUMBER12              NUMBER        ,
    ATTRIBUTE_NUMBER13              NUMBER        ,
    ATTRIBUTE_NUMBER14              NUMBER        ,
    ATTRIBUTE_NUMBER15              NUMBER        ,
    ATTRIBUTE_NUMBER16              NUMBER        ,
    ATTRIBUTE_NUMBER17              NUMBER        ,
    ATTRIBUTE_NUMBER18              NUMBER        ,
    ATTRIBUTE_NUMBER19              NUMBER        ,
    ATTRIBUTE_NUMBER20              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_DATE6                 DATE          ,
    ATTRIBUTE_DATE7                 DATE          ,
    ATTRIBUTE_DATE8                 DATE          ,
    ATTRIBUTE_DATE9                 DATE          ,
    ATTRIBUTE_DATE10                DATE          ,
    ATTRIBUTE_DATE11                DATE          ,
    ATTRIBUTE_DATE12                DATE          ,
    ATTRIBUTE_DATE13                DATE          ,
    ATTRIBUTE_DATE14                DATE          ,
    ATTRIBUTE_DATE15                DATE          ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    MODULE_ID                       VARCHAR2(128) ,
    USE_WRITING_ASSISTANT_FLAG      VARCHAR2(120) ,
    ROUNDING_RULE_CODE              VARCHAR2(120) ,
    DECIMAL_PLACES                  VARCHAR2(120) ,
    MAPPING_METHOD_CODE             VARCHAR2(120) ,
    CALC_MAPPING_CODE               VARCHAR2(120) ,
    USE_SEC_WEIGHTS_FOR_CALC        VARCHAR2(120) ,
    ENABLE_CHILD_ITEMS_FLAG         VARCHAR2(120) ,
    INCLUDE_FUTURE_ITEMS_FLAG       VARCHAR2(120) ,
    EXCLUDE_INACTIVE_ITEMS_FLAG     VARCHAR2(120) ,
    ENABLE_SECTION_COMMENTS_FLAG    VARCHAR2(120) ,
    ENABLE_ITEM_COMMENTS_FLAG       VARCHAR2(120) ,
    EVALUATION_TYPE_CODE            VARCHAR2(120) ,
    ENABLE_SYNC_FLAG                VARCHAR2(120) ,
    INCLUDE_QSTNR_SCORING_FLAG      VARCHAR2(120) ,
    INCLUDE_QSTNR_SCORE_OS_FLAG     VARCHAR2(120) ,
    SKILL_TYPE_CODE                 VARCHAR2(2000),
    SKILL_PROGRESS_CODE             VARCHAR2(120) ,
    LOCK_EVAL_WHEN_GOAL_SET_FLAG    VARCHAR2(120) ,
    SECTION_DEF_ID                  NUMBER(18, 0) ,
    BUSINESS_GROUP_ID               NUMBER(18, 0) ,
    DATE_FROM                       DATE              NOT NULL,
    DATE_TO                         DATE          ,
    STATUS_CODE                     VARCHAR2(120) ,
    SECTION_TYPE_CODE               VARCHAR2(120) ,
    RATE_SECTION_FLAG               VARCHAR2(120) ,
    CALCULATION_RULE_CODE           VARCHAR2(120) ,
    FAST_FORMULA_ID                 NUMBER(18, 0) ,
    SECTION_RATING_MODEL_ID         NUMBER(18, 0) ,
    WEIGHT_SECTION_FLAG             VARCHAR2(120) ,
    SECTION_WEIGHT                  NUMBER(20, 2) ,
    SECTION_MIN_WEIGHT              NUMBER(20, 2) ,
    ENABLE_ITEMS_FLAG               VARCHAR2(120) ,
    CONTENT_PROFILE_FLAG            VARCHAR2(120) ,
    CONTENT_TYPE_ID                 NUMBER(18, 0) ,
    FREE_FORM_ALLOWED_FLAG          VARCHAR2(120) ,
    ADD_ITEMS_CONFIRM_CRIT_FLAG     VARCHAR2(120) ,
    RATE_ITEM_FLAG                  VARCHAR2(120) ,
    RATING_TYPE_CODE                VARCHAR2(120) ,
    USE_SECRTG_FOR_PERFRTG_FLAG     VARCHAR2(120) ,
    PERF_RATING_MODEL_ID            NUMBER(18, 0) ,
    ITEM_CALCULATION_CODE           VARCHAR2(120) ,
    SHOW_TARGET_PERF_RTG            VARCHAR2(120) ,
    SHOW_TARGET_PROF_LEVEL          VARCHAR2(120) ,
    SHOW_SECTION_WEIGHT             VARCHAR2(120) ,
    SHOW_SECTION_MIN_WEIGHT         VARCHAR2(120) ,
    SHOW_MANDATORY                  VARCHAR2(120) ,
    SHOW_CRITICAL                   VARCHAR2(120) ,
    SHOW_DESCRIPTION                VARCHAR2(120) ,
    SHOW_MEASUREMENT                VARCHAR2(120) ,
    SHOW_DUE_DATE                   VARCHAR2(120) ,
    SHOW_REMINDER_DATE              VARCHAR2(120) ,
    SHOW_OWNED_BY                   VARCHAR2(120) ,
    SHOW_STATUS                     VARCHAR2(120) ,
    SHOW_PERCENT_COMPLETE           VARCHAR2(120) ,
    USE_PROFILE_FLAG                VARCHAR2(120) ,
    PROFILE_TYPE_ID                 NUMBER(18, 0) ,
    USE_SPEC_PROFILE_FLAG           VARCHAR2(80)  ,
    PROFILE_ID                      NUMBER(18, 0) ,
    USE_WORKER_GOALS_FLAG           VARCHAR2(120) ,
    USE_SPEC_CONTENT_ITEM_FLAG      VARCHAR2(120) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE16                     VARCHAR2(600) ,
    ATTRIBUTE17                     VARCHAR2(600) ,
    ATTRIBUTE18                     VARCHAR2(600) ,
    ATTRIBUTE19                     VARCHAR2(600) ,
    ATTRIBUTE20                     VARCHAR2(600) ,
    ATTRIBUTE21                     VARCHAR2(600) ,
    ATTRIBUTE22                     VARCHAR2(600) ,
    ATTRIBUTE23                     VARCHAR2(600) ,
    ATTRIBUTE24                     VARCHAR2(600) ,
    ATTRIBUTE25                     VARCHAR2(600) ,
    ATTRIBUTE26                     VARCHAR2(600) ,
    ATTRIBUTE27                     VARCHAR2(600) ,
    ATTRIBUTE28                     VARCHAR2(600) ,
    ATTRIBUTE29                     VARCHAR2(600) ,
    ATTRIBUTE30                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_NUMBER11              NUMBER        ,
    ATTRIBUTE_NUMBER12              NUMBER        ,
    ATTRIBUTE_NUMBER13              NUMBER        ,
    ATTRIBUTE_NUMBER14              NUMBER        ,
    ATTRIBUTE_NUMBER15              NUMBER        ,
    ATTRIBUTE_NUMBER16              NUMBER        ,
    ATTRIBUTE_NUMBER17              NUMBER        ,
    ATTRIBUTE_NUMBER18              NUMBER        ,
    ATTRIBUTE_NUMBER19              NUMBER        ,
    ATTRIBUTE_NUMBER20              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_DATE6                 DATE          ,
    ATTRIBUTE_DATE7                 DATE          ,
    ATTRIBUTE_DATE8                 DATE          ,
    ATTRIBUTE_DATE9                 DATE          ,
    ATTRIBUTE_DATE10                DATE          ,
    ATTRIBUTE_DATE11                DATE          ,
    ATTRIBUTE_DATE12                DATE          ,
    ATTRIBUTE_DATE13                DATE          ,
    ATTRIBUTE_DATE14                DATE          ,
    ATTRIBUTE_DATE15                DATE          ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    MODULE_ID                       VARCHAR2(128) ,
    USE_WRITING_ASSISTANT_FLAG      VARCHAR2(120) ,
    ROUNDING_RULE_CODE              VARCHAR2(120) ,
    DECIMAL_PLACES                  VARCHAR2(120) ,
    MAPPING_METHOD_CODE             VARCHAR2(120) ,
    CALC_MAPPING_CODE               VARCHAR2(120) ,
    USE_SEC_WEIGHTS_FOR_CALC        VARCHAR2(120) ,
    UPDATE_GOAL_WEIGHTS_FLAG        VARCHAR2(120) ,
    ENABLE_CHILD_ITEMS_FLAG         VARCHAR2(120) ,
    INCLUDE_FUTURE_ITEMS_FLAG       VARCHAR2(120) ,
    EXCLUDE_INACTIVE_ITEMS_FLAG     VARCHAR2(120) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    REFERENCE_SECTION_ID            NUMBER        ,
    ENABLE_SECTION_COMMENTS_FLAG    VARCHAR2(120) ,
    ENABLE_ITEM_COMMENTS_FLAG       VARCHAR2(120) ,
    EVALUATION_TYPE_CODE            VARCHAR2(120) ,
    ENABLE_SYNC_FLAG                VARCHAR2(120) ,
    INCLUDE_QSTNR_SCORING_FLAG      VARCHAR2(120) ,
    INCLUDE_QSTNR_SCORE_OS_FLAG     VARCHAR2(120) ,
    ENABLE_MGR_REASON_FLAG          VARCHAR2(120) ,
    SKILL_TYPE_CODE                 VARCHAR2(2000),
    SKILL_PROGRESS_CODE             VARCHAR2(120) ,
    LOCK_EVAL_WHEN_GOAL_SET_FLAG    VARCHAR2(120) ,
    CONSTRAINT pk_hra_section_defns_b PRIMARY KEY (SECTION_DEF_ID, BUSINESS_GROUP_ID, SECTION_DEF_ID, BUSINESS_GROUP_ID)
);
